Creates a live output.
A live output records the event’s stream to the asset you specify (properties.assetName) so the recording is available for VOD (Video on Demand). When you stop the live event, the live output is finalized: the recording is committed to the asset, and the live output resource is automatically deleted (the asset remains).
PUT https://{{api-endpoint}}/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaservices/{accountName}/liveEvents/{liveEventName}/liveOutputs/{liveOutputName}?api-version={api-version}
AMS compatibility note
RMS accepts a small set of AMS fields to keep SDK and payload compatibility. Onlyproperties.assetNameaffects behavior.All other
properties.*fields are accepted for compatibility but ignored and are marked [No-op in RMS]. Server-populated fields are read-only.
In this article:
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
liveOutputName |
path | True | string | Name of the live output to create under the specified live event. Becomes the last segment of the resource ID and must be unique within the parent live event. Use a URL-safe name. |
liveEventName |
path | True | string |
The name of the live event, maximum length is 32. Regex pattern: |
accountName |
path | True | string | The RMS account name. |
resourceGroupName |
path | True | string | The name of the resource group within the Azure subscription. |
subscriptionId |
path | True | string | The unique identifier for a Microsoft Azure subscription. |
api-version |
query | True | string |
The version of the API to be used with the client request. Required for compatibility; any value accepted; no effect. |
Request body
| Name | Required | Type | Description |
|---|---|---|---|
| properties.assetName | True | string |
The name of the asset that the live output will write to. Must exist. |
| properties.archiveWindowLength | True | string |
ISO 8601 timespan duration of the archive window length. The field is accepted for AMS compatibility, but has no effect in RMS. Required for compatibility; any value accepted. |
| properties.description | string | A description for the live output. | |
| properties.rewindWindowLength | string |
[No-op in RMS] ISO 8601 timespan duration of the rewind window length during live playback. This is the amount of time that the live output will be able to rewind.
|
|
| properties.manifestName | string |
[No-op in RMS] The name of the manifest file. If not provided, the service will generate one automatically. This is the filename that will appear in playback URLs. Any value is accepted; you may omit it. |
|
| properties.hls | object |
[No-op in RMS] The HLS configuration. Any value is accepted; you may omit it. |
|
| properties.hls.fragmentsPerTsSegment | integer |
[No-op in RMS] Accepted, persisted, and returned. |
|
| properties.outputSnapTime | integer |
[No-op in RMS] The output snapshot time. This is the wall clock time, in unix epoch seconds, that the live output will begin recording from. Any value is accepted; you may omit it. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | LiveOutput |
OK. The request has succeeded. |
| 201 Created | LiveOutput |
Created. The request has been accepted for processing and the operation will complete asynchronously. See https://go.microsoft.com/fwlink/?linkid=2087017 for details on monitoring asynchronous Azure operations using the Azure-AsyncOperation response header. |
| Other Status Codes | ErrorResponse | Detailed error information. |
Examples
Sample Request
PUT https://{{api-endpoint}}/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mrg-resourcegroup/providers/Microsoft.Media/mediaservices/default/liveEvents/liveEvent1/liveOutputs/LiveOutput1?api-version=2022-11-01
{
"properties": {
"assetName": "asset1",
"archiveWindowLength": "PT5M"
}
}
Sample Response
Status code: 201
Response Body
{
"properties": {
"description": "",
"assetName": "asset1",
"archiveWindowLength": "PT5M",
"manifestName": "manifest_LiveOutput1",
"outputSnapTime": 0,
"created": "2025-09-09T10:14:15.713014Z",
"lastModified": "2025-09-09T10:14:15.713014Z",
"provisioningState": "Succeeded",
"resourceState": "Running"
},
"systemData": {
"createdBy": "system",
"createdByType": "Application",
"createdAt": "2025-09-09T10:14:15.713014Z",
"lastModifiedBy": "system",
"lastModifiedByType": "Application",
"lastModifiedAt": "2025-09-09T10:14:15.713014Z"
},
"id": "/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mrg-resourcegroup/providers/Microsoft.Media/mediaservices/default/liveEvents/liveEvent1/liveOutputs/LiveOutput1",
"name": "LiveOutput1",
"type": "Microsoft.Media/mediaservices/liveOutputs"
}
Status code: 200
Response Body
{
"properties": {
"description": "",
"assetName": "asset1",
"archiveWindowLength": "PT5M",
"manifestName": "manifest_LiveOutput1",
"outputSnapTime": 0,
"created": "2025-09-09T10:14:15.713014Z",
"lastModified": "2025-09-09T10:14:15.713014Z",
"provisioningState": "Succeeded",
"resourceState": "Running"
},
"systemData": {
"createdBy": "system",
"createdByType": "Application",
"createdAt": "2025-09-09T10:14:15.713014Z",
"lastModifiedBy": "system",
"lastModifiedByType": "Application",
"lastModifiedAt": "2025-09-09T10:14:15.713014Z"
},
"id": "/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mrg-resourcegroup/providers/Microsoft.Media/mediaservices/default/liveEvents/liveEvent1/liveOutputs/LiveOutput1",
"name": "LiveOutput1",
"type": "Microsoft.Media/mediaservices/liveOutputs"
}